/*
There's a delete buttotn to delete a post. If javascript is enabled, replace
the button with one that will ask for confirmation before deleting.
*/

function delete_intervine(){
	var forms = document.getElementsByTagName("form");
	if(forms.length == 0){return;}//Don't load if the story is missing.
	var delete_form;
	for(var i = 0; i < forms.length; i++){
		if(forms[i].action.endsWith("_delete")){
			delete_form = forms[i];
			break;
		}
	}
	if(delete_form == null){return;}//Don't load if we're not logged in
	var delete_parent = delete_form.parentNode;
	delete_parent.removeChild(delete_form);
	var delete_wrapper = document.createElement("div");
	var delete_button = document.createElement("button");
	delete_button.classList.add("button");
	delete_button.classList.add("column");
	delete_button.classList.add("column-0");
	delete_button.textContent = "Delete";
	delete_button.addEventListener("click",function(){
		if(confirm("Are you sure you want to delete this story?")){
			document.documentElement.appendChild(delete_form);
			delete_form.submit();
		}
	});
	delete_parent.appendChild(delete_wrapper);
	delete_wrapper.appendChild(delete_button);

}

document.addEventListener("DOMContentLoaded",delete_intervine,false);
